package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 卡包还款支付列表(RepayAccountList)实体类
 *
 * @author makejava
 * @since 2022-06-01 10:33:53
 */
@Table(name = "repay_account_list")
public class RepayAccountList implements Serializable {
    private static final long serialVersionUID = -13596410101130416L;
    /**
     * id
     */
    @Id
    @Column(name = "id")
    private Long id;
    /**
     * 还款明细ID
     */
    @Column(name = "repay_trade_id")
    private Long repayTradeId;
    /**
     * 还款单据号
     */
    @Column(name = "repay_num")
    private String repayNum;
    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 卡包id
     */
    @Column(name = "account_id")
    private Long accountId;
    /**
     * 0=充值，1=疗程
     */
    @Column(name = "account_type")
    private Integer accountType;
    /**
     * 支付金额
     */
    @Column(name = "pay_money")
    private BigDecimal payMoney;
    /**
     * 支付次数
     */
    @Column(name = "pay_number")
    private Integer payNumber;
    /**
     * 卡包编码
     */
    @Column(name = "account_num")
    private String accountNum;
    /**
     * 卡包名称
     */
    @Column(name = "account_name")
    private String accountName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRepayTradeId() {
        return repayTradeId;
    }

    public void setRepayTradeId(Long repayTradeId) {
        this.repayTradeId = repayTradeId;
    }

    public String getRepayNum() {
        return repayNum;
    }

    public void setRepayNum(String repayNum) {
        this.repayNum = repayNum;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public BigDecimal getPayMoney() {
        return payMoney;
    }

    public void setPayMoney(BigDecimal payMoney) {
        this.payMoney = payMoney;
    }

    public Integer getPayNumber() {
        return payNumber;
    }

    public void setPayNumber(Integer payNumber) {
        this.payNumber = payNumber;
    }

    public String getAccountNum() {
        return accountNum;
    }

    public void setAccountNum(String accountNum) {
        this.accountNum = accountNum;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

}

